<script setup lang="ts">
  const props = withDefaults(
    defineProps<{
      value?: number;
      hasAsterisk?: boolean;
    }>(),
    {
      hasAsterisk: true,
    },
  );

  const { getFormattedPrice } = usePrice();

  const price = computed<string>(() => getFormattedPrice(props.value, props.hasAsterisk));
</script>

<template>
  <p class="flex gap-1">
    <slot name="beforePrice" />
    <span>{{ price }}</span>
    <slot name="afterPrice" />
  </p>
</template>
